Skip to main content

Archive a candidate

You can archive a candidate using the API.

Request

This method allows you to archive candidates:

DELETE /company/{companyID}/vacancy/{vacancyID}/applicant/{applicantID}

Run in Postman

Parameters

ParameterInTypeRequiredDescriptionExample
companyIDpathstring
✔️
Company identifier0GjqBwprWAdArDl4
vacancyIDpathstring
✔️
Listing idVq5r6pYxam9AmMvP
applicantIDpathstring
✔️
Candidate idV41QG9eja5pK6Xev

Request example

cURL request
curl -X DELETE 'api.flatchr.io/company/0GjqBwprWAdArDl4/vacancy/Vq5r6pYxam9AmMvP/applicant/V41QG9eja5pK6Xev'
-H "Authorization: Bearer {token}"
-H 'Content-Type: application/json'

Response

NameTypeDescription
idstringCandidate identifier
vacancy_idstringListing identifier
column_idintegerIdentifier of the column where the candidate is located
scoreintegerCandidate score
commentstringCandidate cover letter
created_attimestampCandidate creation date
updated_attimestampCandidate update date
statusintegerCandidate status
viewbooleanWhether the candidate's profile has been viewed
anonymbooleanWhether the candidate is anonymized
external_idbooleanExternal candidate identifier
candidatecandidateCandidate information
vacancyvacancyThe job listing the candidate applied to
foreignerboolean
applies[applies]

Response example

{
"id": "gQayv9LNBcd6LXE4",
"vacancy_id": "Vq5r6pYxzm9AmMvP",
"column_id": 1314,
"score": 0,
"comment": "",
"created_at": 1645022213,
"updated_at": 1645022486,
"status": 0,
"view": true,
"anonym": false,
"external_id": null,
"candidate": {
"id": "G6KzqPnN6Yn3nm0l",
"email": null,
"firstname": "XXXXX",
"lastname": "XXXXX",
"urls": {},
"created_at": "2022-02-16T14:36:53.745Z",
"phone": null,
"consent": true
},
"foreigner": false,
"datas": []
}